﻿using System;

namespace AreaCalculationDomain
{
    public enum CylinderType
    {
        FourFourEightCylinder = 1,
        SixSixTwelveCylinder = 2,
        ThreeThreeSixCylinder = 3,
        TwoTwoTwoCylinder = 4
    }
    public class CylinderMeasurement
    {
        public CylinderMeasurement(double widthA, double widthB, double height)
        {
            WidthA = widthA;
            WidthB = widthB;
            Height = height;
        }
        public int Id { get; private set; }
        public double Height { get; private set; }
        public double WidthB { get; private set; }
        public double WidthA { get; private set; }
        public int LoadPounds { get; private set; }
        public double Psi { get; set; }
        public CylinderType CylinderType { get; set; }
        public void UpdateLoadPoundsAndTypeEnum(int load, CylinderType cylType)
        {
            LoadPounds = load;
            CylinderType=cylType; }

        private double? Ratio
        {
            get
            {
                if (Height > 0 && WidthA + WidthB > 0)
                {
                    return Math.Round(Height / ((WidthA + WidthB) / 2), 2);
                }
                return null;
            }
        }


        public double ToleranceFactor
        {
            get
            {
                if (Ratio > 1.94 || Ratio < 1)
                {
                    return 1;
                }
                return .979; //hard coded for sake of simplifying sample
            }
        }
    }
}