﻿namespace Cylinders
open AreaCalculationDomain

module program = 

    let addLoad (cylinder:CylinderMeasurement) load cylinderType = 
        cylinder.UpdateLoadPoundsAndTypeEnum (load, cylinderType)
        cylinder
        
    let cylinders = [| addLoad (new CylinderMeasurement(4.005, 4.010, 8.00)) 79060 CylinderType.FourFourEightCylinder; 
                       addLoad (new CylinderMeasurement(4.008, 4.006, 8.000)) 82630 CylinderType.FourFourEightCylinder;
                       addLoad (new CylinderMeasurement(5.967, 5.984, 12.000)) 137970 CylinderType.SixSixTwelveCylinder;
                       addLoad (new CylinderMeasurement(3.636, 3.722, 6.891)) 57670 CylinderType.ThreeThreeSixCylinder;
                       addLoad (new CylinderMeasurement(1.982, 2.022, 2.000)) 8540 CylinderType.TwoTwoTwoCylinder
                   |] 

    let response = calcPsi.getPsi cylinders

//                     WA   WB      H   Load    formula                             actualPSI
            // 8.510 4.005 4.010 8.000 79060 3.14159*((WA+WB)/2)/2*((WA+WB)/2/2)    6270
            // 8.490 4.008 4.006 8.000 82630 3.14159*((WA+WB)/2)/2*((WA+WB)/2/2)    6550
            //28.040 5.967 5.984 12.000 137970 3.14159*((WA+WB)/2)/2*((WA+WB)/2/2) 4920
            // 7.110 3.636 3.722 6.891 57670 WA*WB                                  4170
            // 0.600 1.982 2.022 2.000 8540 ((WA+WB)/2)*((WA+WB)/2)                 2090
